Show / Hide Table of Contents

# Struct BlackMageGauge

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.Game.Gauge

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct BlackMageGauge

### Fields

| Improve this Doc View Source

#### ElementStance

##### Declaration

    public sbyte ElementStance

##### Field Value

Type | Description
--- | ---
System.SByte |

| Improve this Doc View Source

#### ElementTimeRemaining

##### Declaration

    public short ElementTimeRemaining

##### Field Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### Enochian

##### Declaration

    public byte Enochian

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### EnochianTimer

##### Declaration

    public short EnochianTimer

##### Field Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### PolyglotStacks

##### Declaration

    public byte PolyglotStacks

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### UmbralHearts

##### Declaration

    public byte UmbralHearts

##### Field Value

Type | Description
--- | ---
System.Byte |

### Properties

| Improve this Doc View Source

#### AstralStacks

##### Declaration

    public readonly int AstralStacks { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### EnochianActive

##### Declaration

    public readonly bool EnochianActive { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### UmbralStacks

##### Declaration

    public readonly int UmbralStacks { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |